| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiPython.Bindings.PyAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.PyAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.PyAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name=None)
def | __del__ (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | beginRun (self)
def | endRun (self)

## Private Attributes
| _svcloc
| _algmgr

## Detailed Description

Definition at line 1442 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.PyAlgorithm.__init__ | ( |  | self,
|  |  | name = `None`
| ) |  |

Definition at line 1443 of file Bindings.py.

1443 def __init__(self, name=None):
1444 if not name:
1445 name = self.__class__.__name__
1446 _PyAlgorithm.__init__(self, self, name)
1447 self._svcloc = gbl.Gaudi.svcLocator()
1448 self._algmgr = InterfaceCast(gbl.IAlgManager)(self._svcloc)
1449 sc = self._algmgr.addAlgorithm(self)
1450 if sc.isFailure():
1451 raise RuntimeError, 'Unable to add Algorithm'
1452
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.PyAlgorithm._algmgr
_algmgr
Definition: Bindings.py:1448
GaudiPython.Bindings.PyAlgorithm._svcloc
_svcloc
Definition: Bindings.py:1447
GaudiPython.Bindings.PyAlgorithm.__init__
def __init__(self, name=None)
Definition: Bindings.py:1443

def GaudiPython.Bindings.PyAlgorithm.__del__ | ( |  | self | ) |

Definition at line 1453 of file Bindings.py.

1453 def __del__(self):
1454 sc = self._algmgr.removeAlgorithm(self)
1455 if sc.isFailure():
1456 pass
1457
GaudiPython.Bindings.PyAlgorithm.__del__
def __del__(self)
Definition: Bindings.py:1453

## Member Function Documentation

def GaudiPython.Bindings.PyAlgorithm.beginRun | ( |  | self | ) |

Definition at line 1468 of file Bindings.py.

1468 def beginRun(self): return 1
1469
GaudiPython.Bindings.PyAlgorithm.beginRun
def beginRun(self)
Definition: Bindings.py:1468

def GaudiPython.Bindings.PyAlgorithm.endRun | ( |  | self | ) |

Definition at line 1470 of file Bindings.py.

1470 def endRun(self): return 1
1471
1472
1473 # ----Enable tab completion----------------------------------------------------
1474 try:
GaudiPython.Bindings.PyAlgorithm.endRun
def endRun(self)
Definition: Bindings.py:1470

def GaudiPython.Bindings.PyAlgorithm.execute | ( |  | self | ) |

Definition at line 1462 of file Bindings.py.

1462 def execute(self): return 1
1463
GaudiPython.Bindings.PyAlgorithm.execute
def execute(self)
Definition: Bindings.py:1462

def GaudiPython.Bindings.PyAlgorithm.finalize | ( |  | self | ) |

Definition at line 1466 of file Bindings.py.

1466 def finalize(self): return 1
1467
GaudiPython.Bindings.PyAlgorithm.finalize
def finalize(self)
Definition: Bindings.py:1466

def GaudiPython.Bindings.PyAlgorithm.initialize | ( |  | self | ) |

Definition at line 1458 of file Bindings.py.

1458 def initialize(self): return 1
1459
GaudiPython.Bindings.PyAlgorithm.initialize
def initialize(self)
Definition: Bindings.py:1458

def GaudiPython.Bindings.PyAlgorithm.start | ( |  | self | ) |

Definition at line 1460 of file Bindings.py.

1460 def start(self): return 1
1461
GaudiPython.Bindings.PyAlgorithm.start
def start(self)
Definition: Bindings.py:1460

def GaudiPython.Bindings.PyAlgorithm.stop | ( |  | self | ) |

Definition at line 1464 of file Bindings.py.

1464 def stop(self): return 1
1465
GaudiPython.Bindings.PyAlgorithm.stop
def stop(self)
Definition: Bindings.py:1464

## Member Data Documentation

GaudiPython.Bindings.PyAlgorithm._algmgr
| private

Definition at line 1448 of file Bindings.py.

GaudiPython.Bindings.PyAlgorithm._svcloc
| private

Definition at line 1447 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py